Update Contact
curl --request PATCH \
--url https://api.mokaru.ai/v1/contacts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"jobTitle": "<string>",
"company": "<string>",
"relationship": "<string>",
"email": "<string>",
"phone": "<string>",
"linkedIn": "<string>"
}
'import requests
url = "https://api.mokaru.ai/v1/contacts/{id}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"jobTitle": "<string>",
"company": "<string>",
"relationship": "<string>",
"email": "<string>",
"phone": "<string>",
"linkedIn": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
jobTitle: '<string>',
company: '<string>',
relationship: '<string>',
email: '<string>',
phone: '<string>',
linkedIn: '<string>'
})
};
fetch('https://api.mokaru.ai/v1/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"id": "<string>"
}Contacts
Update Contact
Update a contact
PATCH
/
v1
/
contacts
/
{id}
Update Contact
Overview
The Update Contact endpoint lets you modify an existing contact’s details. Only include the fields you want to change. Passnull for optional fields to clear them.
Scope required:
contacts:write | Rate limit: 20 requests/minRequest
PATCH /v1/contacts/{id}
Path Parameters
string
required
Contact id
Body Parameters
All fields are optional, but at least one must be provided.string
First name (max 100 characters, null to clear)
string
Last name (max 100 characters, null to clear)
string
Contact’s job title (max 200 characters, null to clear)
string
Company name (max 200 characters, null to clear)
string
Relationship type (see Create Contact for values, null to clear)
string
Email address (max 200 characters, null to clear)
string
Phone number (max 50 characters, null to clear)
string
LinkedIn profile URL (max 500 characters, null to clear)
Example
curl -X PATCH "https://api.mokaru.ai/v1/contacts/clx1234" \
-H "Authorization: Bearer mk_your_key" \
-H "Content-Type: application/json" \
-d '{
"phone": "+1 555-0201",
"relationship": "TEAM_LEAD"
}'
Response
boolean
Whether the contact was updated
string
The contact’s ID
{
"success": true,
"id": "clx1234..."
}
Was this page helpful?
⌘I
